Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Event.h File Reference

`#include "notify_export.h"`
`#include "ace/Copy_Disabled.h"`
`#include "ace/Refcounted_Auto_Ptr.h"`
`#include "orbsvcs/Event_ForwarderS.h"`
`#include "orbsvcs/CosNotifyFilterC.h"`
`#include "orbsvcs/CosNotificationC.h"`
`#include "Property.h"`
`#include "Property_T.h"`

Include dependency graph for Event.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Notify_Event
| Base class abstraction for Events flowing through the EventChannel. More...
class | TAO_Notify_Event_Copy_var
class | TAO_Notify_Event_var
| A Non-Copy version of the ACE_Refcounted_Auto_Ptr that hides the constructors. More...
## Typedefs
typedef ACE_Refcounted_Auto_Ptr< const TAO_Notify_Event, TAO_SYNCH_MUTEX > | TAO_Notify_Event_var_Base
typedef ACE_Unbounded_Queue< TAO_Notify_Event_var > | TAO_Notify_Event_Collection

## Typedef Documentation

typedef ACE_Unbounded_Queue<TAO_Notify_Event_var> TAO_Notify_Event_Collection

typedef ACE_Refcounted_Auto_Ptr<const TAO_Notify_Event, TAO_SYNCH_MUTEX> TAO_Notify_Event_var_Base